// Requires Node.js SDK v8.2.0 or later
import { AdminClient } from '@pinecone-database/pinecone';
// Reads PINECONE_CLIENT_ID and PINECONE_CLIENT_SECRET from the environment
const admin = new AdminClient();
await admin.projects.delete('YOUR_PROJECT_ID');
// Requires Go SDK v6.0.0 or later
package main
import (
"context"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v6/pinecone"
)
func main() {
ctx := context.Background()
adminClient, err := pinecone.NewAdminClientWithContext(ctx, pinecone.NewAdminClientParams{
ClientId: os.Getenv("PINECONE_CLIENT_ID"),
ClientSecret: os.Getenv("PINECONE_CLIENT_SECRET"),
})
if err != nil {
log.Fatalf("Failed to create AdminClient: %v", err)
}
if err := adminClient.Project.Delete(ctx, "YOUR_PROJECT_ID"); err != nil {
log.Fatalf("Failed to delete project: %v", err)
}
}
# Requires Terraform provider v4.0.0 or later
# This block defines the project. To delete it, either remove the block and run
# `terraform apply`, or run:
# terraform destroy -target=pinecone_project.example
resource "pinecone_project" "example" {
name = "example-project"
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PROJECT_ID="YOUR_PROJECT_ID"
curl -X DELETE "https://api.pinecone.io/admin/projects/$PROJECT_ID" \
-H "X-Pinecone-Api-Version: 2026-04" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN"
Projects
Delete a project
Delete a project and all its configuration; delete its indexes, assistants, backups, and collections first.
DELETE
/
admin
/
projects
/
{project_id}
// Requires Node.js SDK v8.2.0 or later
import { AdminClient } from '@pinecone-database/pinecone';
// Reads PINECONE_CLIENT_ID and PINECONE_CLIENT_SECRET from the environment
const admin = new AdminClient();
await admin.projects.delete('YOUR_PROJECT_ID');
// Requires Go SDK v6.0.0 or later
package main
import (
"context"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v6/pinecone"
)
func main() {
ctx := context.Background()
adminClient, err := pinecone.NewAdminClientWithContext(ctx, pinecone.NewAdminClientParams{
ClientId: os.Getenv("PINECONE_CLIENT_ID"),
ClientSecret: os.Getenv("PINECONE_CLIENT_SECRET"),
})
if err != nil {
log.Fatalf("Failed to create AdminClient: %v", err)
}
if err := adminClient.Project.Delete(ctx, "YOUR_PROJECT_ID"); err != nil {
log.Fatalf("Failed to delete project: %v", err)
}
}
# Requires Terraform provider v4.0.0 or later
# This block defines the project. To delete it, either remove the block and run
# `terraform apply`, or run:
# terraform destroy -target=pinecone_project.example
resource "pinecone_project" "example" {
name = "example-project"
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PROJECT_ID="YOUR_PROJECT_ID"
curl -X DELETE "https://api.pinecone.io/admin/projects/$PROJECT_ID" \
-H "X-Pinecone-Api-Version: 2026-04" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN"
// Requires Node.js SDK v8.2.0 or later
import { AdminClient } from '@pinecone-database/pinecone';
// Reads PINECONE_CLIENT_ID and PINECONE_CLIENT_SECRET from the environment
const admin = new AdminClient();
await admin.projects.delete('YOUR_PROJECT_ID');
// Requires Go SDK v6.0.0 or later
package main
import (
"context"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v6/pinecone"
)
func main() {
ctx := context.Background()
adminClient, err := pinecone.NewAdminClientWithContext(ctx, pinecone.NewAdminClientParams{
ClientId: os.Getenv("PINECONE_CLIENT_ID"),
ClientSecret: os.Getenv("PINECONE_CLIENT_SECRET"),
})
if err != nil {
log.Fatalf("Failed to create AdminClient: %v", err)
}
if err := adminClient.Project.Delete(ctx, "YOUR_PROJECT_ID"); err != nil {
log.Fatalf("Failed to delete project: %v", err)
}
}
# Requires Terraform provider v4.0.0 or later
# This block defines the project. To delete it, either remove the block and run
# `terraform apply`, or run:
# terraform destroy -target=pinecone_project.example
resource "pinecone_project" "example" {
name = "example-project"
}
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
PROJECT_ID="YOUR_PROJECT_ID"
curl -X DELETE "https://api.pinecone.io/admin/projects/$PROJECT_ID" \
-H "X-Pinecone-Api-Version: 2026-04" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN"
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Response
Project deletion request accepted. Other project resources, such as API keys, are deleted automatically.
Was this page helpful?